Subject: [PATCH 17/17] mfd : ab8500/db8500: fix the abuse of IRQF_NO_SUSPEND

From: [email-masked] (Sudeep Holla)
Date: Tue, 22 Sep 2015 11:04:46 +0100

On 22/09/15 00:20, Lee Jones wrote:
> On Mon, 21 Sep 2015, Sudeep Holla wrote:
>
>> The IRQF_NO_SUSPEND flag is used to identify the interrupts that should
>> be left enabled so as to allow them to work as expected during the
>> suspend-resume cycle, but doesn't guarantee that it will wake the system
>> from a suspended state, enable_irq_wake is recommended to be used for
>> the wakeup.
>>
>> This patch removes the use of IRQF_NO_SUSPEND flags replacing it with
>> enable_irq_wake instead.
>>
>> Cc: Linus Walleij <[email-masked]>
>> Cc: linux-arm-kernel at lists.infradead.org
>> Signed-off-by: Sudeep Holla <[email-masked]>
>> ---
>>   drivers/mfd/ab8500-core.c        | 11 +++++++++--
>>   drivers/mfd/ab8500-debugfs.c     |  2 +-
>>   drivers/mfd/ab8500-gpadc.c       | 15 +++++++++++----
>>   drivers/mfd/db8500-prcmu.c       | 24 +++++++++++++++++-------
>>   drivers/power/ab8500_btemp.c     |  6 ++++--
>>   drivers/power/ab8500_charger.c   |  6 ++++--
>>   drivers/power/ab8500_fg.c        |  9 ++++++---
>>   drivers/thermal/db8500_thermal.c |  5 ++---
>>   drivers/usb/phy/phy-ab8500-usb.c | 10 ++++++----
>>   9 files changed, 60 insertions(+), 28 deletions(-)
>
> Is there a reason for bundling the changes in all of these subsystems
> together into a single patch?
>

No, I understand this needs to be split. Since I was not 100% confident
about this change, I wanted LinusW to review and provide feedback and
gets things working before I can split this changes. I must have added
RFC, but usually it gets ignored :)

Regards,
Sudeep